Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifier.assessment
Class RepeatedSubSamplingAssessParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.classifier.assessment.ClassifierAssessmentAssessParameterSet
              de.jstacs.classifier.assessment.RepeatedSubSamplingAssessParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

    public class RepeatedSubSamplingAssessParameterSet

extends ClassifierAssessmentAssessParameterSet

This class implements a `ClassifierAssessmentAssessParameterSet` that must be used to call method `assess( ... )` of a `RepeatedSubSamplingExperiment`. It contains user specific parameters necessary for a run of a `RepeatedSubSamplingExperiment`.

Author:
  Andre Gohr (bioinf (nospam:.) ag (nospam:@) googlemail (nospam:.) com)

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`` | `RepeatedSubSamplingAssessParameterSet()` Constructs a new `RepeatedSubSamplingAssessParameterSet` with empty parameter values.
`` | `RepeatedSubSamplingAssessParameterSet(int elementLength, boolean exceptionIfMPNotComputable, int repeats, int[] trainNumbers, int[] testNumbers)` Constructs a new `RepeatedSubSamplingAssessParameterSet` with given parameter values.
`protected` | `RepeatedSubSamplingAssessParameterSet(StringBuffer representation)` Constructs a `RepeatedSubSamplingAssessParameterSet` out of an XML representation.

Method Summary
`Collection<Result>` | `getAnnotation()` Returns a collection of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`.
`int` | `getRepeats()` Returns the repeats defined by this `RepeatedSubSamplingAssessParameterSet` (repeats defines how many iterations (train and test classifiers) of that `RepeatedSubSamplingExperiment` this `RepeatedSubSamplingAssessParameterSet` is used with are performed).
`int[]` | `getTrain_TestNumbers(boolean train_case)` Returns an array containing the number of elements the subsampled (train | test) datasets should consist of.
`protected void` | `initializeMyParametersArrayList()` Initializes the list of `Parameter`s in this `ClassifierAssessmentAssessParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.classifier.assessment.ClassifierAssessmentAssessParameterSet
`getElementLength, getExceptionIfMPNotComputable`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromXML, getErrorMessage, getId, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toXML, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatedSubSamplingAssessParameterSet

    public RepeatedSubSamplingAssessParameterSet()
                                          throws UnsupportedOperationException

  Constructs a new `RepeatedSubSamplingAssessParameterSet` with empty parameter values. This constructor should only be used to create "filled" `RepeatedSubSamplingAssessParameterSet`s, i.e. to create `RepeatedSubSamplingAssessParameterSet`s from a set of values and not to fill it from the platform user interface.

  Throws:
    `UnsupportedOperationException` - if the `RepeatedSubSamplingAssessParameterSet` could not be constructed or the parameters could not be loaded
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet()`

### RepeatedSubSamplingAssessParameterSet

    protected RepeatedSubSamplingAssessParameterSet(StringBuffer representation)
                                             throws NonParsableException

  Constructs a `RepeatedSubSamplingAssessParameterSet` out of an XML representation.

  Parameters:
    `representation` - the XML representation
  Throws:
    `NonParsableException` - if the `RepeatedSubSamplingAssessParameterSet` could not be reconstructed out of the XML representation
  See Also:
    `ClassifierAssessmentAssessParameterSet.ClassifierAssessmentAssessParameterSet(StringBuffer)`

### RepeatedSubSamplingAssessParameterSet

    public RepeatedSubSamplingAssessParameterSet(int elementLength,
                                                 boolean exceptionIfMPNotComputable,
                                                 int repeats,
                                                 int[] trainNumbers,
                                                 int[] testNumbers)
                                          throws SimpleParameter.IllegalValueException

  Constructs a new `RepeatedSubSamplingAssessParameterSet` with given parameter values.

  Parameters:
    `elementLength` - defines the length of elements (sequences) the classifiers to be assessed are able to classify
    `exceptionIfMPNotComputable` - a `RepeatedSubSamplingAssessParameterSet` is used in combination with a `MeasureParameters`-object to call `assess( ... )`-methods of `RepeatedSubSamplingExperiment`s. If `exceptionIfMPNotComputable=true` then an exception is thrown in case of a user selected measure parameters that could not be computed.
    `repeats` - the number of repeats of each iteration (subsample test and train datasets from user supplied data, train classifiers using train datasets and test them using test datasets) of that `RepeatedHoldOutExperiment` this `RepeatedSubSamplingAssessParameterSet` is used with
    `trainNumbers` - an array containing for each class (the classifiers to be assessed are capable to distinguish) the number of elements the subsampled train datasets should contain
    `testNumbers` - an array containing for each class (the classifiers to be assessed are capable to distinguish) the number of elements the subsampled test datasets should contain
  Throws:
    `SimpleParameter.IllegalValueException` - is thrown in case of out-of-range or invalid given parameters

Method Detail

### initializeMyParametersArrayList

    protected void initializeMyParametersArrayList()

  Description copied from class: `ClassifierAssessmentAssessParameterSet`
  Initializes the list of `Parameter`s in this `ClassifierAssessmentAssessParameterSet`.

  Overrides:
    `initializeMyParametersArrayList` in class `ClassifierAssessmentAssessParameterSet`
  See Also:
    `ParameterSet.initParameterList(int initCapacity)`

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `ClassifierAssessmentAssessParameterSet`
  Throws:
    `Exception` - an `Exception` is thrown if the parameters could not be loaded
  See Also:
    `ParameterSet.parameters`, `Parameter`

### getRepeats

    public int getRepeats()

  Returns the repeats defined by this `RepeatedSubSamplingAssessParameterSet` (repeats defines how many iterations (train and test classifiers) of that `RepeatedSubSamplingExperiment` this `RepeatedSubSamplingAssessParameterSet` is used with are performed).

  Returns:
    the repeats defined by this `RepeatedSubSamplingAssessParameterSet` (repeats defines how many iterations (train and test classifiers) of that `RepeatedSubSamplingExperiment` this `RepeatedSubSamplingAssessParameterSet` is used with are performed)

### getTrain_TestNumbers

    public int[] getTrain_TestNumbers(boolean train_case)

  Returns an array containing the number of elements the subsampled (train | test) datasets should consist of.

  Parameters:
    `train_case` - if `true` then `(train | test)=train` else `=test`
  Returns:
    an array class-wise containing the number of elements the subsampled (train | test) datasets should consist of.

### getAnnotation

    public Collection<Result> getAnnotation()

  Description copied from class: `ClassifierAssessmentAssessParameterSet`
  Returns a collection of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`.

  Overrides:
    `getAnnotation` in class `ClassifierAssessmentAssessParameterSet`
  Returns:
    collection of parameters containing informations about this `ClassifierAssessmentAssessParameterSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD